package handmadevehicle2.gui;
 
import net.minecraft.init.Items;
import net.minecraft.inventory.IInventory;
import net.minecraft.inventory.Slot;
import net.minecraft.item.ItemStack;
 
public class HMVSlot2 extends Slot
{
	
	private int id = 0;
	
    public HMVSlot2(IInventory p_i1824_1_, int p_i1824_2_, int p_i1824_3_, int p_i1824_4_)
    {
        super(p_i1824_1_, p_i1824_2_, p_i1824_3_, p_i1824_4_);
        id = p_i1824_2_;
    }
 
    /**
     * Check if the stack is allowed to be placed in this slot, used for armor slots as well as furnace fuel.
     */
    public boolean func_75214_a(ItemStack stack)
    {
    	boolean idd = !(func_75216_d() && func_75211_c().func_77973_b() == Items.field_151166_bC);
    	if(id == 0) {
    		idd = (!stack.func_190926_b() && stack.func_77973_b() == Items.field_151166_bC);
   		 }
		if (id == 1) {
			idd = (!stack.func_190926_b() && stack.func_77973_b() == Items.field_151042_j);
		}
		if (id == 2) {
			idd = (!stack.func_190926_b() && stack.func_77973_b() == Items.field_151137_ax);
		}
        //return TileEntityFurnace.isItemFuel(stack) || isBucket(stack);
    	return idd;
    }
}
